<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>Deadly.SSG.PE.Install.SY.Prod</name>
<version>5</version>
<engineversion>25</engineversion>
<description>Load custom SSG wares into Shipyards</description>
<arguments>
<argument index="1" name="shipyard" type="Var/Station" desc="shipyard" />
</arguments>
<sourcetext>
<line linenr="001" indent=""></line>
<line linenr="002" interruptable="@" indent=""><var>=&#160;</var><text>wait&#160;</text><var>1</var><text>&#160;ms</text></line>
<line linenr="003" indent=""></line>
<line linenr="004" indent=""><var>$Amissile&#160;=&#160;</var><var>Argon&#160;Alpha&#160;Fission&#160;Missile&#160;Factory</var></line>
<line linenr="005" indent=""><var>$Bmissile&#160;=&#160;</var><var>Argon&#160;Beta&#160;Fission&#160;Missile&#160;Factory</var></line>
<line linenr="006" indent=""><var>$Gmissile&#160;=&#160;</var><var>Argon&#160;Gamma&#160;Fission&#160;Missile&#160;Factory</var></line>
<line linenr="007" indent=""></line>
<line linenr="008" indent=""><var>$MW45&#160;=&#160;</var><var>Argon&#160;Shield&#160;Prod.&#160;Facility&#160;45MW</var></line>
<line linenr="009" indent=""><var>$MW200&#160;=&#160;</var><var>Argon&#160;Shield&#160;Prod.&#160;Facility&#160;200MW</var></line>
<line linenr="010" indent=""></line>
<line linenr="011" indent=""><var>$Ahotl&#160;=&#160;</var><var>Argon&#160;Alpha&#160;HOTL&#160;Forge</var></line>
<line linenr="012" indent=""><var>$Bhotl&#160;=&#160;</var><var>Argon&#160;Beta&#160;HOTL&#160;Forge</var></line>
<line linenr="013" indent=""><var>$Ghotl&#160;=&#160;</var><var>Argon&#160;Gamma&#160;HOTL&#160;Forge</var></line>
<line linenr="014" indent=""><var>$Arpic&#160;=&#160;</var><var>Argon&#160;Alpha&#160;RPIC&#160;Forge</var></line>
<line linenr="015" indent=""><var>$Brpic&#160;=&#160;</var><var>Argon&#160;Beta&#160;RPIC&#160;Forge</var></line>
<line linenr="016" indent=""><var>$Grpic&#160;=&#160;</var><var>Argon&#160;Gamma&#160;RPIC&#160;Forge</var></line>
<line linenr="017" indent=""></line>
<line linenr="018" indent=""><var>if&#160;</var><var>$shipyard&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="019" indent="&#160;"><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$Amissile</var></line>
<line linenr="020" indent="&#160;"><var>$rc&#160;=&#160;</var><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$Amissile</var></line>
<line linenr="021" indent="&#160;"><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$Ahotl</var></line>
<line linenr="022" indent="&#160;"><var>$rc&#160;=&#160;</var><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$Ahotl</var></line>
<line linenr="023" indent="&#160;"><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$Arpic</var></line>
<line linenr="024" indent="&#160;"><var>$rc&#160;=&#160;</var><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$Arpic</var></line>
<line linenr="025" indent="&#160;"><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$Bmissile</var></line>
<line linenr="026" indent="&#160;"><var>$rc&#160;=&#160;</var><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$Bmissile</var></line>
<line linenr="027" indent="&#160;"><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$Bhotl</var></line>
<line linenr="028" indent="&#160;"><var>$rc&#160;=&#160;</var><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$Bhotl</var></line>
<line linenr="029" indent="&#160;"><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$Brpic</var></line>
<line linenr="030" indent="&#160;"><var>$rc&#160;=&#160;</var><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$Brpic</var></line>
<line linenr="031" indent="&#160;"><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$Gmissile</var></line>
<line linenr="032" indent="&#160;"><var>$rc&#160;=&#160;</var><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$Gmissile</var></line>
<line linenr="033" indent="&#160;"><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$Ghotl</var></line>
<line linenr="034" indent="&#160;"><var>$rc&#160;=&#160;</var><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$Ghotl</var></line>
<line linenr="035" indent="&#160;"><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$Grpic</var></line>
<line linenr="036" indent="&#160;"><var>$rc&#160;=&#160;</var><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$Grpic</var></line>
<line linenr="037" indent="&#160;"><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$MW200</var></line>
<line linenr="038" indent="&#160;"><var>$rc&#160;=&#160;</var><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$MW200</var></line>
<line linenr="039" indent="&#160;"><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;product&#160;to&#160;factory&#160;or&#160;dock:&#160;</text><var>$MW45</var></line>
<line linenr="040" indent="&#160;"><var>$rc&#160;=&#160;</var><var>$shipyard&#160;-&gt;</var><text>&#160;add&#160;</text><var>1</var><text>&#160;units&#160;of&#160;</text><var>$MW45</var></line>
<line linenr="041" indent=""><text>end</text></line>
<line linenr="042" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="Deadly.SSG.PE.Install.SY.Prod" /><sval type="int" val="25" /><sval type="string" val="Load custom SSG wares into Shipyards" /><sval type="int" val="5" /><sval type="int" val="0" /><sval type="array" size="13"><sval type="string" val="shipyard" /><sval type="string" val="Amissile" /><sval type="string" val="Bmissile" /><sval type="string" val="Gmissile" /><sval type="string" val="MW45" /><sval type="string" val="MW200" /><sval type="string" val="Ahotl" /><sval type="string" val="Bhotl" /><sval type="string" val="Ghotl" /><sval type="string" val="Arpic" /><sval type="string" val="Brpic" /><sval type="string" val="Grpic" /><sval type="string" val="rc" /></sval><sval type="array" size="36"><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="393516" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="393521" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="393526" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="393506" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="5" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="393507" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="393531" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="393536" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="393541" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="9" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="393546" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="393551" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="11" /><sval type="int" val="1" /><sval type="int" val="9" /><sval type="int" val="393556" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="-1610603773" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="5"><sval type="int" val="750" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="8"><sval type="int" val="646" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="12" /><sval type="string" val="shipyard" /></sval></sval><sval type="array" size="6"><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="35" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
